The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Alert Exception

Prev Next

This URL gets the alert exception details.

Resource URL

GET /alertexception /<alert_exception_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

alert_exception_id

Alert exception id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

alertId

Unique alert id

Number

attackId

Unique hexadecimal attack id

String

sourceIp

IPv4/IPv6 address/"ANY"

String

destinationIp

IPv4/IPv6 address/"ANY"

String

expiration

Expiration of the exception

String

lastModified

Last modified time of the alert exception

String

Example

Request

GET https://<NSM_IP>/sdkapi/alerexception/106

Response

{
	"alertId" : 106,
	"attackId" : "0x40500100",
	"sourceIp" : "192.168.215.57",
	"destinationIp" : "172.16.233.11",
	"expiration" : "2013-03-06 14:03:44.0",
	"lastModified" : "2013-03-05 14:03:44.0"
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error

2

400

4002

Invalid alert exception id